aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorHans-Christoph Steiner <eighthave@users.sourceforge.net>2012-11-17 03:54:56 +0000
committerHans-Christoph Steiner <eighthave@users.sourceforge.net>2012-11-17 03:54:56 +0000
commita68ad21c373adaa608536fad137c64e336f8ab06 (patch)
tree0e9726d7d563cc72eaa1a8261b6f22bd6a15d6ad /scripts
parent48364b7e0de7cdd42fa005501b75e57c76dda549 (diff)
update scripts for running on apt.puredata.info
svn path=/trunk/; revision=16554
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/auto-build/mail-mingw-log-hack.sh2
-rwxr-xr-xscripts/auto-build/prep-auto-build-upload31
-rw-r--r--scripts/build-packages.sh6
-rwxr-xr-xscripts/check-for-type-punning-warnings.py2
4 files changed, 16 insertions, 25 deletions
diff --git a/scripts/auto-build/mail-mingw-log-hack.sh b/scripts/auto-build/mail-mingw-log-hack.sh
index 30b237bc..0819bc05 100755
--- a/scripts/auto-build/mail-mingw-log-hack.sh
+++ b/scripts/auto-build/mail-mingw-log-hack.sh
@@ -17,7 +17,7 @@ mailbody_on_failure () {
}
-for logfile in $(ls -1 /var/www/auto-build/${DATE}/logs/${DATE}_*_mingw*.txt); do
+for logfile in $(ls -1 /home/apt/www/auto-build/${DATE}/logs/${DATE}_*_mingw*.txt); do
completion_test=$(tail -1 "${logfile}")
if [ "x${completion_test}" != "xSUCCESS" ]; then
if [ "x${RECIPIENT}" != "x" ]; then
diff --git a/scripts/auto-build/prep-auto-build-upload b/scripts/auto-build/prep-auto-build-upload
index 0bcc1234..402bb0c3 100755
--- a/scripts/auto-build/prep-auto-build-upload
+++ b/scripts/auto-build/prep-auto-build-upload
@@ -2,30 +2,17 @@
# prepare a directory per date for the auto-builders to upload to
-HOSTNAME=`hostname`
SYSTEM=`uname -s`
DATE=`date +%Y-%m-%d`
TIME=`date +%H.%M.%S`
SCRIPT=`echo $0| sed 's|.*/\(.*\)|\1|g'`
-LOGFILE=/home/pd/logs/${DATE}_${TIME}_-_${SCRIPT}_-_${SYSTEM}.txt
+LOGFILE=/tmp/${DATE}_${TIME}_-_${SCRIPT}_-_${SYSTEM}.txt
-#BUILD_ROOT="/var/www/auto-build"
-
-prep_project()
-{
- PROJECT=$1
- BUILD_ROOT="$2"
- TODAYS_ROOT="${BUILD_ROOT}/${DATE}"
- chown -R root.root "${BUILD_ROOT}" >> $LOGFILE 2>&1
- chown -R pd "${BUILD_ROOT}/latest" >> $LOGFILE 2>&1
- mkdir "${TODAYS_ROOT}" >> $LOGFILE 2>&1
- mkdir "${TODAYS_ROOT}/logs" >> $LOGFILE 2>&1
- chown -R nobody.nogroup "${TODAYS_ROOT}" >> $LOGFILE 2>&1
-
- chown -R ${PROJECT}.${PROJECT} /home/${PROJECT}/ >> $LOGFILE 2>&1
- chmod -R u+rw /home/${PROJECT}/ >> $LOGFILE 2>&1
-}
-
-
-prep_project pd /var/www/auto-build
-prep_project arduino /var/www/arduino
+BUILD_ROOT=/home/apt/www/auto-build
+TODAYS_ROOT="${BUILD_ROOT}/${DATE}"
+mkdir "${TODAYS_ROOT}" >> $LOGFILE 2>&1
+mkdir "${TODAYS_ROOT}/logs" >> $LOGFILE 2>&1
+chmod -R a+r "${BUILD_ROOT}" >> $LOGFILE 2>&1
+chmod -R a-w "${BUILD_ROOT}" >> $LOGFILE 2>&1
+chmod 0755 "${TODAYS_ROOT}" >> $LOGFILE 2>&1
+mkdir 0755 "${TODAYS_ROOT}/logs" >> $LOGFILE 2>&1
diff --git a/scripts/build-packages.sh b/scripts/build-packages.sh
index 8b289821..22a31684 100644
--- a/scripts/build-packages.sh
+++ b/scripts/build-packages.sh
@@ -2,7 +2,7 @@
# this script builds the apt repo for http://apt.puredata.info/releases
-cd /var/www/releases
+cd /home/apt/www/releases
# delete old ones
find dists -name Packages.gz -delete
@@ -10,13 +10,17 @@ find dists -name Packages.bz2 -delete
# make new Packages files
for dir in dists/*/*/binary-*; do
+ echo $dir
dpkg-scanpackages ${dir} /dev/null | gzip -9c > ${dir}/Packages.gz
dpkg-scanpackages ${dir} /dev/null | bzip2 -9c > ${dir}/Packages.bz2
done
for dir in dists/*; do
+ test -d $dir || continue
+ echo $dir
apt-ftparchive contents $dir | gzip -9c > ${dir}/Contents.gz
apt-ftparchive release $dir > ${dir}/Release
+ apt-ftparchive sources $dir > ${dir}/main/source/Sources
done
diff --git a/scripts/check-for-type-punning-warnings.py b/scripts/check-for-type-punning-warnings.py
index 4a1e2c04..d3ea70e3 100755
--- a/scripts/check-for-type-punning-warnings.py
+++ b/scripts/check-for-type-punning-warnings.py
@@ -10,7 +10,7 @@ outputfilename = 'type-punning.log'
logoutput = []
-for log in glob.glob('/var/www/auto-build/' + date + '/logs/20*.txt'):
+for log in glob.glob('/home/apt/www/auto-build/' + date + '/logs/20*.txt'):
f = open(log, 'r')
logoutput.append('======================================================================\n')
logoutput.append(log + '\n')